Subject: Re: bug#52872: 13.0.15; wrong type argument error on calling‘LaTeX-xparse-macro-parse’

From: Tassilo Horn <[email-masked]>
Date: Wed, 29 Dec 2021 17:49:25 +0100

Andrea Greselin <[email-masked]> writes:

Hi Andrea,

> after updating to AUCTeX 13.0.15 I started getting a wrong type
> argument error on opening certain .tex files. The traceback showed
> that the culprit was ‘LaTeX-xparse-macro-parse’ calling
> ‘replace-regexp-in-string’ with a nil ‘spec’ argument. If I understand
> correctly, the function is reading the ‘name’, ‘spec’ and ‘what’ local
> variables from the ‘xcmd’ list with an offset wrt to v. 13.0.14. The
> attached patch removes the offset and it’s fixed the issue for me.

Oh, thanks!  I've applied your patch which is small enough for not
requiring a copyright assignment.  If you plan to contribute more in the
future, feel free to ping me and I'll send you the CA form. :-)

Bye,
Tassilo